Name:        space-mono-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/SpaceMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 SpaceMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-BoldItalic.ttf
install -Dm644 SpaceMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-BoldItalic.ttf
install -Dm644 SpaceMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 SpaceMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-Bold.ttf
install -Dm644 SpaceMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-Bold.ttf
install -Dm644 SpaceMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-Bold.ttf
install -Dm644 SpaceMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-Italic.ttf
install -Dm644 SpaceMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-Italic.ttf
install -Dm644 SpaceMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-Italic.ttf
install -Dm644 SpaceMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-Regular.ttf
install -Dm644 SpaceMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-Regular.ttf
install -Dm644 SpaceMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/SpaceMonoNerdFontPropo-Regular.ttf
%license "OFL.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
